Guy, I've got Flanker2.0 the french version, which patch do I need? Because I've tried 2.03us/uk version, the thing loads but I can't fly no matter what. With out the patch no problem but sure would like to patch it.

Thank, Marc..


HP-Compaq-8100-Elite-SFF-Intel-Core-i5-660-3-33GHz-8GB-250GB-Windows7, GTX1050 -X45+Rudder Pedals, Playseat Challenge